Bug 642302 - (CVE-2010-3173) CVE-2010-3173 NSS: insecure Diffie-Hellman key exchange
CVE-2010-3173 NSS: insecure Diffie-Hellman key exchange
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20101019,reported=20101008,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-12 10:44 EDT by Josh Bressers
Modified: 2010-11-11 03:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 03:16:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2010-10-12 10:44:51 EDT
Mozilla cryptographer Nelson Bolyard reported that the SSL implementation
was permitting servers to use 256-bit Diffie-Hellman Ephemeral mode (DHE)
for key exchanges. A DHE key of this length is trivially breakable on
modern hardware so SSL servers operating in this mode were providing very
little effective security for its clients.
Comment 2 Josh Bressers 2010-10-19 18:08:31 EDT
This is now public:
http://www.mozilla.org/security/announce/2010/mfsa2010-72.html
Comment 3 errata-xmlrpc 2010-10-19 19:10:24 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2010:0781 https://rhn.redhat.com/errata/RHSA-2010-0781.html
Comment 4 errata-xmlrpc 2010-10-19 19:21:19 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0782 https://rhn.redhat.com/errata/RHSA-2010-0782.html

Note You need to log in before you can comment on or make changes to this bug.